import {} from '../services/api';

export default {
  namespace: 'common',

  state: {
    enterpriseInit: 1
  },

  effects: {
    * fetchInit(_, {call, put}) {
      yield put({
        type: 'enterpriseInit',
        payload: {enterpriseInit: 1},
      });
    }
  },

  reducers: {
    enterpriseInit(state, {payload}) {
      return {
        ...state,
        ...{enterpriseInit: payload.enterpriseInit + 1},
      };
    },
  },
};
